Bug 1644618 - Repo sync fails on FIPS enabled machine
Summary: Repo sync fails on FIPS enabled machine
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Packaging
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-31 09:21 UTC by Peter Ondrejka
Modified: 2019-10-07 17:18 UTC (History)
4 users (show)

Fixed In Version: python-kombu-4.0.2-9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:38:26 UTC


Attachments (Terms of Use)
log excrept (5.84 KB, text/plain)
2018-10-31 09:23 UTC, Peter Ondrejka
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:34 UTC

Description Peter Ondrejka 2018-10-31 09:21:22 UTC
Description of problem:

When attempting to synchornize a repository on sat 6.5 snap 1 on fips enabled rhel7.6,
the task fails with "Sync incomplete" reporting 500 Internal Server Error in the UI. The production log then shows:

...
File "/usr/lib64/python2.7/uuid.py", line 528, in uuid3
  hash = md5(namespace.bytes + name).digest()
SchedulingError: Couldn't apply scheduled task download_deferred_content: error:060800A3:digital envelope routines:EVP_DigestInit_ex:disabled for fips

(full traceback in attachment)

Comment 1 Peter Ondrejka 2018-10-31 09:23:43 UTC
Created attachment 1499282 [details]
log excrept

Comment 14 Peter Ondrejka 2018-11-12 10:59:04 UTC
Verified on Satellite 6.5 snap 3, python2-kombu is present at the needed version, and reposync succeeds on fips machine

Comment 17 errata-xmlrpc 2019-05-14 12:38:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.